<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <LangVersion>latest</LangVersion>
        <Nullable>enable</Nullable>
        <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
        <ApplicationManifest>app.manifest</ApplicationManifest>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
        <SatelliteResourceLanguages>en</SatelliteResourceLanguages>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.1.3"/>
        <PackageReference Include="Avalonia.Desktop" Version="11.1.3"/>
        <PackageReference Include="Avalonia.Themes.Simple" Version="11.1.3"/>
        <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
        <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.1.3"/>
        <PackageReference Include="AvaloniaGif-Unofficial" Version="1.0.1" />
    </ItemGroup>

    <ItemGroup>
        <AvaloniaResource Include="resources\**"/>
    </ItemGroup>
</Project>
